Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGNormPathSegList

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGList
          org.apache.batik.dom.svg.AbstractSVGPathSegList
              org.apache.batik.dom.svg.AbstractSVGNormPathSegList

All Implemented Interfaces:
  SVGPathSegConstants, org.w3c.dom.svg.SVGPathSegList

Direct Known Subclasses:
  SVGOMAnimatedPathData.NormalizedBaseSVGPathSegList

    public abstract class AbstractSVGNormPathSegList

extends AbstractSVGPathSegList

This class is the implementation of the normalized `SVGPathSegList`.

Nested Class Summary
`protected class` | `AbstractSVGNormPathSegList.NormalizedPathSegListBuilder`
`protected class` | `AbstractSVGNormPathSegList.SVGPathSegGenericItem`

Nested classes/interfaces inherited from class org.apache.batik.dom.svg.AbstractSVGPathSegList
`AbstractSVGPathSegList.PathSegListBuilder, AbstractSVGPathSegList.SVGPathSegArcItem, AbstractSVGPathSegList.SVGPathSegCurvetoCubicItem, AbstractSVGPathSegList.SVGPathSegCurvetoCubicSmoothItem, AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticItem, AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticSmoothItem, AbstractSVGPathSegList.SVGPathSegItem, AbstractSVGPathSegList.SVGPathSegLinetoHorizontalItem, AbstractSVGPathSegList.SVGPathSegLinetoVerticalItem, AbstractSVGPathSegList.SVGPathSegMovetoLinetoItem`

Nested classes/interfaces inherited from class org.apache.batik.dom.svg.AbstractSVGList
`AbstractSVGList.ListBuilder`

Field Summary

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGPathSegList
`SVG_PATHSEG_LIST_SEPARATOR`

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGList
`itemList, valid`

Fields inherited from interface org.apache.batik.dom.svg.SVGPathSegConstants
`PATHSEG_ARC_ABS_LETTER, PATHSEG_ARC_REL_LETTER, PATHSEG_CLOSEPATH_LETTER, PATHSEG_CURVETO_CUBIC_ABS_LETTER, PATHSEG_CURVETO_CUBIC_REL_LETTER, PATHSEG_CURVETO_CUBIC_SMOOTH_ABS_LETTER, PATHSEG_CURVETO_CUBIC_SMOOTH_REL_LETTER, PATHSEG_CURVETO_QUADRATIC_ABS_LETTER, PATHSEG_CURVETO_QUADRATIC_REL_LETTER, PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS_LETTER, PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL_LETTER, PATHSEG_LETTERS, PATHSEG_LINETO_ABS_LETTER, PATHSEG_LINETO_HORIZONTAL_ABS_LETTER, PATHSEG_LINETO_HORIZONTAL_REL_LETTER, PATHSEG_LINETO_REL_LETTER, PATHSEG_LINETO_VERTICAL_ABS_LETTER, PATHSEG_LINETO_VERTICAL_REL_LETTER, PATHSEG_MOVETO_ABS_LETTER, PATHSEG_MOVETO_REL_LETTER`

Constructor Summary
`protected` | `AbstractSVGNormPathSegList()` Creates a new SVGNormPathSegList.

Method Summary
`protected void` | `doParse(String value, ListHandler handler)` Parse the 'd' attribute.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGPathSegList
`appendItem, checkItemType, createPathSegItem, createSVGException, createSVGItem, getItem, getItemSeparator, initialize, insertItemBefore, removeItem, replaceItem`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGList
`appendItemImpl, clear, clear, createDOMException, getItemImpl, getNumberOfItems, getValueAsString, initializeImpl, insertItemBeforeImpl, invalidate, itemChanged, removeIfNeeded, removeItem, removeItemImpl, replaceItemImpl, resetAttribute, resetAttribute, revalidate, setAttributeValue, setValueAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGPathSegList
`clear, getNumberOfItems`

Constructor Detail

### AbstractSVGNormPathSegList

    protected AbstractSVGNormPathSegList()

  Creates a new SVGNormPathSegList.

Method Detail

### doParse

    protected void doParse(String value,
                           ListHandler handler)
                    throws ParseException

  Parse the 'd' attribute.

  Overrides:
    `doParse` in class `AbstractSVGPathSegList`
  Parameters:
    `value` - 'd' attribute value
    `handler` - : list handler
  Throws:
    `ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.